## dput 0.12.0

=== debian/changelog ===
dput (0.12.0) unstable; urgency=medium

  * The “Oyasiqur Rhaman” release.
  * Upload to unstable.
    Thanks to testers of the ‘gpg’ library migration.
  * Bash completion improvements:
    * Correct matching of filenames for ‘dput’ commands.
    * Add script for ‘dcut’ command completion.
    * Declare replacement of files in versions of ‘devscripts’ that
      install Bash command completion for ‘dcut’ (bug#850684).
  * Specify current VCS for this code base.
    Closes: bug#845490. Thanks to Daniel Kahn Gillmor for the report.
  * Remove unused build dependency on ‘debconf-utils’.
  * Force a dependency on ‘pkg_resources’ because it is not yet
    distributed separately.
    Closes: bug#836710. Thanks to Ben Burton for the report.
  * Update copyright information.
  * Manual pages:
    * Remove deprecated “authors” section.
    * Remove superfluous sections.
    * Format for standard idioms.
    * Correct descriptions to match the current program behaviour.
      Closes: bug#849687. Thanks to Russ Allbery for the report.

 -- Ben Finney <bignose@debian.org>  Thu, 12 Jan 2017 21:56:21 +1100

dput (0.11.1) experimental; urgency=medium

  [ Daniel Kahn Gillmor ]

  * Migrate to ‘python-gpg’ for interacting with GnuPG.
    * Add dependency on ‘python-gpg’ package.
    * Remove package name mapping, ‘gpg’ is correct in PyPI.
    * Remove dependency on ‘python-gpgme’ package.
    Closes: bug#846311. Thanks to Daniel Kahn Gillmor for the patch.

 -- Ben Finney <bignose@debian.org>  Wed, 21 Dec 2016 15:15:48 +1100

dput (0.11.0) unstable; urgency=medium

  * The “Asif Mohiuddin” release.
  * Upload to unstable.
    Thanks to testers of the GPGME migration.
  * Correct my email address for Debian work.
  * Correct copyright information for Distutils configuration script.
  * Correct copyright information for Debian packaging files.
  * Correctly record license grant and license conditions.
  * Explicitly handle Bash command completion script.

 -- Ben Finney <bignose@debian.org>  Sun, 20 Nov 2016 00:16:37 +1100

dput (0.11.0~3) experimental; urgency=medium

  * Add autopkgtest smoke tests to verify the commands will run.
  * Migrate to GPGME for interacting with GnuPG.
    * Add dependency on ‘python-gpgme’ package.
    * Declare explicit package name mapping for ‘gpgme’ dependency.
    * No longer invoke the ‘gpg’ command.
    * Remove dependency on ‘gnupg’ package.
    * Verify GnuPG signature using Python library.
      Closes: bug#835598.

 -- Ben Finney <bignose@debian.org>  Fri, 28 Oct 2016 18:50:42 +1100

dput (0.10.3) unstable; urgency=medium

  * The “Shafiul Islam” release.
  * Special-case streams that are the Python 2 brute ‘file’ type.
    Closes: bug#836456. Thanks to Alessandro Ghedini for the report.

 -- Ben Finney <bignose@debian.org>  Sat, 03 Sep 2016 22:02:50 +1000

dput (0.10.2) unstable; urgency=medium

  * The “Xulhaz Mannan” release.
  * Complete the transfer of maintainer hat to myself.
    Thank you for your work, Y Giridhar Appaji Nag.
  * dput.cf:
    * Remove configuration for obsolete ‘revu.ubuntuwire.com’.
      Closes: bug#795650. Thanks to Adrien Cunin for the report.
  * debian/rules, FAQ:
    * Correct spelling of initialism “APT”.
  * debian/rules:
    * Explicitly declare a UTF-8 encoding for terminal output.

 -- Ben Finney <bignose@debian.org>  Sat, 03 Sep 2016 01:28:32 +1000

dput (0.10.1) unstable; urgency=medium

  * The “Atena Farghadani” release.

  [ Richard Hartmann ]
  * dput.1, dput.cf.5:
    * Correct typographical errors.

  [ Ben Finney ]
  * dcut.1:
    * Correct a typographical error.

 -- Ben Finney <bignose@debian.org>  Sun, 28 Aug 2016 00:43:22 +1000

dput (0.10) unstable; urgency=medium

  [ Ben Finney ]

  * Add myself to Uploaders, at suggestion of Y Giridhar Appaji Nag.
  * Reformat code base for maintainability and PEP 8 conformance.
  * Convert obsolete idioms to forward-compatible Python style.
  * Reformat existing copyright statements.
    Add new copyright statements and license grants.
  * COPYING, LICENSE.GPL-2, LICENSE.GPL-3:
    * Store license texts in explicitly named files.
  * Makefile:
    * Add ‘clean’, ‘test’, and related actions.
  * LICENSE.GPL-2, copyright, dput, dcut:
    * Update text of license to latest official GPLv2 text.
  * copyright, debian/copyright, debian/rules:
    * Move the copyright file to where the packaging tools expect it.
    * Conform to copyright format version 1.0.
  * THANKS:
    * Add myself as a contributor.
    * Update set of recent contributors.
  * debian/control:
    * Declare “Standards-Version: 3.9.8”. No additional changes required.
    * Add a Homepage field, to be read during Python package build.
    * Set “VCS-*” fields to URLs for encrypted Alioth services.
  * debian/compat, debian/control, debian/rules:
    * Migrate to Debhelper 9 style package build.
  * TODO:
    * Note intention to convert to Python 3.
  * *.1, *.5, debian/dput.manpages, debian/rules:
    * Format manpage dates in ISO standard format.
    * Install manpages using Debhelper.
  * bash_completion, debian/dput.bash-completion, debian/rules:
    * Move Bash completion configuration to Debhelper expected location.
    * Install Bash completion configuration using Debhelper.
  * debian/dput.docs, debian/rules:
    * Install package documentation using Debhelper.
  * debian/conffiles, debian/dput.install, debian/rules:
    * Install configuration file using Debhelper.
    * Install helper script using Debhelper.
  * setup.py, debian/control, debian/rules:
    * Add Distutils script for installing Python packages.
    * Use Debhelper to build and install Python packages.
    * Build package using UTF-8 encoding.
    * Specify private directory for this package's Python modules.
    * Install command-line programs as “console script” entry points.
  * debian/dput.links:
    * Link command-line programs to ‘/usr/bin/’.
  * debian/postinst, debian/prerm:
    * Remove unused custom maintainer scripts.


=== debian/control ===
Source: dput
Section: devel
Priority: optional
Maintainer: Ben Finney <bignose@debian.org>
Build-Depends-Indep:
    python-unittest2,
    python-mock (>= 1.3),
    python-testtools,
    python-testscenarios,
    python-httpretty,
    python-debian,
    python-gpg,
    python-setuptools,
    python (>= 2.7),
    bash-completion,
    dh-python,
    debhelper (>= 9~)
Standards-Version: 3.9.8
VCS-Git: https://git.fosscommunity.in/bignose/dput.git
VCS-Browser: https://git.fosscommunity.in/bignose/dput
Homepage: https://packages.debian.org/source/sid/dput

Package: dput
Architecture: all
Depends:
    python-pkg-resources,
    ${python:Depends},
    ${misc:Depends}
Suggests: openssh-client, lintian, mini-dinstall, rsync
Breaks:
    devscripts (<< 2.17.0)
Replaces:
    devscripts (<< 2.17.0)
Description: Debian package upload tool
 dput allows you to put one or more Debian packages into the archive.  This
 package also includes a dcut utility which can be used to generate and / or
 upload a commands file for the Debian FTP archive upload queue.
 .
 dput includes some tests to verify that the package is policy-compliant.
 It offers the possibility to run lintian before the upload. It can also
 run dinstall in dry-run-mode, when having used an appropriate upload method.
 This is very useful to see if the upload will pass dinstall sanity checks
 in the next run.
 .
 It is intended mainly for Debian maintainers only, although it can
 also be useful for people maintaining local APT repositories.

## dput 0.12.1

=== Makefile ===
#! /usr/bin/make -f
#
# This is free software, and you are welcome to redistribute it under
# certain conditions; see the end of this file for copyright
# information, grant of license, and disclaimer of warranty.

# Makefile for ‘dput’ code base.

PYTHON ?= /usr/bin/python2
PYTHON_OPTS ?= -3 -tt -bb

UNITTEST2 = /usr/bin/unit2

PY_MODULE_SUFFIX = .py
PY_MODULE_BYTECODE_SUFFIX = .pyc
package_modules = $(shell find ${CURDIR}/dput/ -name '*${PY_MODULE_SUFFIX}')
python_modules = $(shell find ${CURDIR}/ -name '*${PY_MODULE_SUFFIX}')

GENERATED_FILES :=
GENERATED_FILES += $(patsubst \
	%${PY_MODULE_SUFFIX},%${PY_MODULE_BYTECODE_SUFFIX}, \
	${python_modules})
GENERATED_FILES += ${CURDIR}/*.egg-info
GENERATED_FILES += ${CURDIR}/build ${CURDIR}/dist

DOC_DIR = doc
MANPAGE_GLOB = *.[1-8]
MANPAGE_DIR = ${DOC_DIR}/man
manpage_paths = $(wildcard ${MANPAGE_DIR}/${MANPAGE_GLOB})

UNITTEST_OPTS ?= --buffer

PYTHON_COVERAGE = $(PYTHON) -m coverage
COVERAGE_RUN_OPTS ?= --branch
COVERAGE_REPORT_OPTS ?=
COVERAGE_TEXT_REPORT_OPTS ?=
COVERAGE_HTML_REPORT_OPTS ?=


.PHONY: all
all:


.PHONY: clean
clean:
	$(RM) -r ${GENERATED_FILES}


.PHONY: tags
tags: TAGS

GENERATED_FILES += TAGS

TAGS: ${python_modules}
	etags --output "$@" --lang=python ${python_modules}


.PHONY: test
test: test-unittest test-manpages

.PHONY: test-unittest
test-unittest:
	$(PYTHON) -m unittest discover ${UNITTEST_OPTS}

.PHONY: test-coverage
test-coverage: test-coverage-run test-coverage-html test-coverage-report

GENERATED_FILES += .coverage

.PHONY: test-coverage-run
test-coverage-run: coverage_opts = ${COVERAGE_RUN_OPTS}
test-coverage-run:
	$(PYTHON) -m coverage run ${coverage_opts} \
		$(UNITTEST2) discover ${UNITTEST_OPTS}

GENERATED_FILES += htmlcov/

.PHONY: test-coverage-html
test-coverage-html: coverage_opts = ${COVERAGE_REPORT_OPTS} ${COVERAGE_HTML_REPORT_OPTS}
test-coverage-html:
	$(PYTHON_COVERAGE) html ${coverage_opts} ${package_modules}

.PHONY: test-coverage-report
test-coverage-report: coverage_opts = ${COVERAGE_REPORT_OPTS} ${COVERAGE_TEXT_REPORT_OPTS}
test-coverage-report:
	$(PYTHON_COVERAGE) report ${coverage_opts} ${package_modules}

.PHONY: test-manpages
test-manpages: export LC_ALL = C.UTF-8
test-manpages: export MANROFFSEQ =
test-manpages: export MANWIDTH = 80
test-manpages: export MANOPTS = --encoding=UTF-8 --troff-device=utf8 --ditroff
test-manpages: ${manpage_paths}
	for manfile in $^ ; do \
		printf "Rendering %s:" $$manfile ; \
		man --local-file --warnings $$manfile > /dev/null ; \
		printf " done.\n" ; \
	done


.PHONY: stylecheck
stylecheck: stylecheck-pycodestyle

.PHONY: stylecheck-pycodestyle
stylecheck-pycodestyle:
	$(PYTHON) -m pycodestyle ${python_modules}

.PHONY: stylecheck-pylint
stylecheck-pylint:
	$(PYTHON) -m pylint ${python_modules}


# Copyright © 2015–2017 Ben Finney <bignose@debian.org>
#
# This is free software: you may copy, modify, and/or distribute this work
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; version 3 of that license or any later version.
# No warranty expressed or implied. See the file ‘LICENSE.GPL-3’ for details.


# Local variables:
# coding: utf-8
# mode: make
# End:
# vim: fileencoding=utf-8 filetype=make :

=== debian/changelog ===
dput (0.12.1) unstable; urgency=medium

  * The “Imran Sarker” release.
  * Specify current recommended archive host for security updates.
    Closes: bug#863348. Thanks to Ansgar Burchardt for the report.
  * Specify current VCS for this code base.

 -- Ben Finney <bignose@debian.org>  Sun, 28 May 2017 22:36:59 +1000

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,8 @@
     dh-python,
     debhelper (>= 9~)
 Standards-Version: 3.9.8
-VCS-Git: https://git.fosscommunity.in/bignose/dput.git
-VCS-Browser: https://git.fosscommunity.in/bignose/dput
+VCS-Git: https://anonscm.debian.org/git/users/bignose/debian-full/dput.git
+VCS-Browser: https://anonscm.debian.org/git/users/bignose/debian-full/dput.git
 Homepage: https://packages.debian.org/source/sid/dput
 
 Package: dput

=== debian/rules ===
#! /usr/bin/make -f
#
# debian/rules
# Part of Debian ‘dput’ package.
#
# This is free software, and you are welcome to redistribute it under
# certain conditions; see the end of this file for copyright
# information, grant of license, and disclaimer of warranty.

PACKAGE_NAME = dput

export LC_ALL := C.UTF-8
export PYTHONIOENCODING := utf-8

package_share_dir = /usr/share/${PACKAGE_NAME}
export PYBUILD_INSTALL_ARGS ?= \
	--install-lib=${package_share_dir}/ \
	--install-scripts=${package_share_dir}/


%:
	dh $@ --with=bash-completion,python2 --buildsystem=pybuild


override_dh_clean:
	dh_clean
	make clean

override_dh_installman:
	dh_installman --language=C


# Copyright © 2015–2016 Ben Finney <bignose@debian.org>
#
# This is free software: you may copy, modify, and/or distribute this work
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; version 2 of that license or any later version.
# No warranty expressed or implied. See the file ‘LICENSE.GPL-2’ for details.


# Local variables:
# coding: utf-8
# mode: make
# End:
# vim: fileencoding=utf-8 filetype=make :

## dput 1.0.1ubuntu1

=== Makefile ===
--- 
+++ 
@@ -6,10 +6,10 @@
 
 # Makefile for ‘dput’ code base.
 
-PYTHON ?= /usr/bin/python2
-PYTHON_OPTS ?= -3 -tt -bb
+PYTHON ?= /usr/bin/python3
+PYTHON_OPTS ?= -bb
 
-UNITTEST2 = /usr/bin/unit2
+UNITTEST2 = /usr/bin/python3-unit2
 
 PY_MODULE_SUFFIX = .py
 PY_MODULE_BYTECODE_SUFFIX = .pyc
@@ -28,9 +28,10 @@
 MANPAGE_DIR = ${DOC_DIR}/man
 manpage_paths = $(wildcard ${MANPAGE_DIR}/${MANPAGE_GLOB})
 
-UNITTEST_OPTS ?= --buffer
+UNITTEST_NAMES ?= discover
+UNITTEST_OPTS ?= ${UNITTEST_NAMES} --buffer
 
-PYTHON_COVERAGE = $(PYTHON) -m coverage
+PYTHON_COVERAGE = $(PYTHON) ${PYTHON_OPTS} -m coverage
 COVERAGE_RUN_OPTS ?= --branch
 COVERAGE_REPORT_OPTS ?=
 COVERAGE_TEXT_REPORT_OPTS ?=
@@ -64,7 +65,7 @@
 
 .PHONY: test-unittest
 test-unittest:
-	$(PYTHON) -m unittest discover ${UNITTEST_OPTS}
+	$(PYTHON) ${PYTHON_OPTS} -m unittest ${UNITTEST_OPTS}
 
 .PHONY: test-coverage
 test-coverage: test-coverage-run test-coverage-html test-coverage-report
@@ -74,8 +75,8 @@
 .PHONY: test-coverage-run
 test-coverage-run: coverage_opts = ${COVERAGE_RUN_OPTS}
 test-coverage-run:
-	$(PYTHON) -m coverage run ${coverage_opts} \
-		$(UNITTEST2) discover ${UNITTEST_OPTS}
+	$(PYTHON) ${PYTHON_OPTS} -m coverage run ${coverage_opts} \
+		-m unittest ${UNITTEST_OPTS}
 
 GENERATED_FILES += htmlcov/
 
@@ -108,11 +109,15 @@
 
 .PHONY: stylecheck-pycodestyle
 stylecheck-pycodestyle:
-	$(PYTHON) -m pycodestyle ${python_modules}
+	$(PYTHON) ${PYTHON_OPTS} -m pycodestyle ${python_modules}
+
+.PHONY: stylecheck-pydocstyle
+stylecheck-pydocstyle:
+	$(PYTHON) ${PYTHON_OPTS} -m pydocstyle ${python_modules}
 
 .PHONY: stylecheck-pylint
 stylecheck-pylint:
-	$(PYTHON) -m pylint ${python_modules}
+	$(PYTHON) ${PYTHON_OPTS} -m pylint ${python_modules}

=== debian/changelog ===
dput (1.0.1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - dput:
      + Recognize 0ubuntu1 as a debian version that requires
        orig.tar.gz to be included in the upload.
      + Correctly handle cases where a non-existant host or no host at all is
        supplied when -o option is passed. (Thanks to David Futcher for
        spotting)
      + Be more careful about setting a variable in a section that does not
        exist in host argument handling.
    - dput.1: Updated to document host argument feature and sftp support.
    - dput.cf:
      + Set 'default_main_host = ubuntu'
      + Set 'progress_indicator = 2'
      + Updated ppa stanza to make use of argument support.
    - dput.cf.5: Updated to note support for sftp transport and host args.
    - dput.cf: Switch ubuntu stanza to upload to "/ubuntu" rather than "/"
      (LP: #1340130).
    - dput.cf: Drop trailing "/ubuntu" from ppa stanza, to support the new
      form of the upload path needed for PPAs based on derived distributions
      (LP: #1340130).
  * Implement a new sftp method that connects via openssh and then
    uses paramiko's sftp support. Some code copied from bzr.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 11 Jan 2018 09:51:33 +0100

dput (1.0.1) unstable; urgency=medium

  * Upload to “unstable”.
    Thanks to testers of the Python 3 migration.
  * Declare “Standards-Version: 4.1.0”. No additional changes needed.
  * Use current HTTPS URL for copyright format reference.
  * Remove declaration of Python 2 support.

 -- Ben Finney <bignose@debian.org>  Sat, 09 Sep 2017 18:51:25 +1000

dput (1.0.0) experimental; urgency=medium

  * The “Nazimuddin Samad” release.
  * Convert code base to run on Python 3.
    Closes: bug#830879. Thanks to Emilio Pozuelo Monfort for the report.
  * Remove the obsolete conffile ‘/etc/bash_completion.d/dput’.
    Closes: bug#866230. Thanks to Laurent Bigonville for the report.
  * Defer getting the uploader until after processing command-line options.
  * Declare “Standards-Version: 4.0.1”. No additional changes required.
  * Revise documentation to remove outdated material.
  * Upgrade license grant to GNU GPL v3-or-later for the whole work.
  * Remove unused GPL v2 license text.

 -- Ben Finney <bignose@debian.org>  Mon, 07 Aug 2017 10:10:47 +1000

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,32 @@
 Source: dput
 Section: devel
 Priority: optional
-Maintainer: Ben Finney <bignose@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ben Finney <bignose@debian.org>
 Build-Depends-Indep:
-    python-unittest2,
-    python-mock (>= 1.3),
-    python-testtools,
-    python-testscenarios,
-    python-httpretty,
-    python-debian,
-    python-gpg,
-    python-setuptools,
-    python (>= 2.7),
+    python3-testtools,
+    python3-testscenarios,
+    python3-httpretty,
+    python3-debian,
+    python3-gpg,
+    python3-setuptools,
+    python3 (>= 3.4),
     bash-completion,
     dh-python,
     debhelper (>= 9~)
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 VCS-Git: https://anonscm.debian.org/git/users/bignose/debian-full/dput.git
 VCS-Browser: https://anonscm.debian.org/git/users/bignose/debian-full/dput.git
 Homepage: https://packages.debian.org/source/sid/dput
+X-Python3-Version: >= 3.4
 
 Package: dput
 Architecture: all
 Depends:
-    python-pkg-resources,
-    ${python:Depends},
+    python3-pkg-resources,
+    ${python3:Depends},
     ${misc:Depends}
-Suggests: openssh-client, lintian, mini-dinstall, rsync
+Suggests: openssh-client, python3-paramiko, lintian, mini-dinstall, rsync
 Breaks:
     devscripts (<< 2.17.0)
 Replaces:

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 
 %:
-	dh $@ --with=bash-completion,python2 --buildsystem=pybuild
+	dh $@ --with=bash-completion,python3 --buildsystem=pybuild
 
 
 
@@ -33,12 +33,12 @@
 
 
 
-# Copyright © 2015–2016 Ben Finney <bignose@debian.org>
+# Copyright © 2015–2017 Ben Finney <bignose@debian.org>
 #
 # This is free software: you may copy, modify, and/or distribute this work
 # under the terms of the GNU General Public License as published by the
-# Free Software Foundation; version 2 of that license or any later version.
-# No warranty expressed or implied. See the file ‘LICENSE.GPL-2’ for details.
+# Free Software Foundation; version 3 of that license or any later version.
+# No warranty expressed or implied. See the file ‘LICENSE.GPL-3’ for details.

=== debian/tests/control ===
# debian/tests/control
# Control file for Debian ‘autopkgtests’.
# Documentation: ‘/usr/share/doc/autopkgtest/README.package-tests.rst.gz’.

Test-Command:
    dput --version
Depends:
    dput

Test-Command:
    dcut --version
Depends:
    dput


# Local variables:
# coding: utf-8
# mode: conf
# End:
# vim: fileencoding=utf-8 filetype=conf :

## dput 1.0.2

=== debian/changelog ===
dput (1.0.2) unstable; urgency=medium

  * The “Rezaul Karim Siddique” release.
  * Parse custom port value as integer from FQDN value text.
    Closes: bug#876382. Thanks to Marc Haber for the report.
  * Declare “Standards-Version: 4.1.3”. No additional changes needed.
  * Declare Debhelper compatibility level 11.
  * Update copyright years.
  * Update reference URLs to HTTPS scheme, where appropriate.
  * Define custom report behaviour for Reportbug.
  * Declare EditorConfig settings for the code base.
  * Change ‘incoming’ for ‘mentors’ host in default configuration.
    Closes: bug#891268. Thanks to Mattia Rizzolo for the report and patch.

 -- Ben Finney <bignose@debian.org>  Sun, 25 Feb 2018 11:07:14 +1100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dput
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ben Finney <bignose@debian.org>
+Maintainer: Ben Finney <bignose@debian.org>
 Build-Depends-Indep:
     python3-testtools,
     python3-testscenarios,
@@ -13,8 +12,8 @@
     python3 (>= 3.4),
     bash-completion,
     dh-python,
-    debhelper (>= 9~)
-Standards-Version: 4.1.0
+    debhelper (>= 11)
+Standards-Version: 4.1.3
 VCS-Git: https://anonscm.debian.org/git/users/bignose/debian-full/dput.git
 VCS-Browser: https://anonscm.debian.org/git/users/bignose/debian-full/dput.git
 Homepage: https://packages.debian.org/source/sid/dput
@@ -26,7 +25,7 @@
     python3-pkg-resources,
     ${python3:Depends},
     ${misc:Depends}
-Suggests: openssh-client, python3-paramiko, lintian, mini-dinstall, rsync
+Suggests: openssh-client, lintian, mini-dinstall, rsync
 Breaks:
     devscripts (<< 2.17.0)
 Replaces:

## dput 1.0.2ubuntu1

=== debian/changelog ===
dput (1.0.2ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - dput:
      + Recognize 0ubuntu1 as a debian version that requires
        orig.tar.gz to be included in the upload.
      + Correctly handle cases where a non-existant host or no host at all is
        supplied when -o option is passed. (Thanks to David Futcher for
        spotting)
      + Be more careful about setting a variable in a section that does not
        exist in host argument handling.
    - dput.1: Updated to document host argument feature and sftp support.
    - dput.cf:
      + Set 'default_main_host = ubuntu'
      + Set 'progress_indicator = 2'
      + Updated ppa stanza to make use of argument support.
    - dput.cf.5: Updated to note support for sftp transport and host args.
    - dput.cf: Switch ubuntu stanza to upload to "/ubuntu" rather than "/"
      (LP: #1340130).
    - dput.cf: Drop trailing "/ubuntu" from ppa stanza, to support the new
      form of the upload path needed for PPAs based on derived distributions
      (LP: #1340130).
    - Implement a new sftp method that connects via openssh and then
      uses paramiko's sftp support. Some code copied from bzr.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 27 Apr 2018 13:42:28 +0200

## dput 1.0.2ubuntu2

=== Makefile ===
--- 
+++ 
@@ -121,7 +121,7 @@
 
 
 
-# Copyright © 2015–2017 Ben Finney <bignose@debian.org>
+# Copyright © 2015–2018 Ben Finney <bignose@debian.org>
 #
 # This is free software: you may copy, modify, and/or distribute this work
 # under the terms of the GNU General Public License as published by the
@@ -132,6 +132,6 @@
 
 # Local variables:
 # coding: utf-8
-# mode: make
+# mode: makefile
 # End:
 # vim: fileencoding=utf-8 filetype=make :

=== debian/changelog ===
dput (1.0.2ubuntu2) disco; urgency=medium

  * dput/methods/sftp.py:
    - the sftp method now accepts a -p port parameter, thanks Valentyna
      (lp: #1812174)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 18 Jan 2019 11:52:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dput
 Section: devel
 Priority: optional
-Maintainer: Ben Finney <bignose@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ben Finney <bignose@debian.org>
 Build-Depends-Indep:
     python3-testtools,
     python3-testscenarios,
@@ -25,7 +26,7 @@
     python3-pkg-resources,
     ${python3:Depends},
     ${misc:Depends}
-Suggests: openssh-client, lintian, mini-dinstall, rsync
+Suggests: openssh-client, python3-paramiko, lintian, mini-dinstall, rsync
 Breaks:
     devscripts (<< 2.17.0)
 Replaces:

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 
 
 
-# Copyright © 2015–2017 Ben Finney <bignose@debian.org>
+# Copyright © 2015–2018 Ben Finney <bignose@debian.org>
 #
 # This is free software: you may copy, modify, and/or distribute this work
 # under the terms of the GNU General Public License as published by the
@@ -44,6 +44,6 @@
 
 # Local variables:
 # coding: utf-8
-# mode: make
+# mode: makefile
 # End:
 # vim: fileencoding=utf-8 filetype=make :

## dput 1.0.3

=== Makefile ===
#! /usr/bin/make -f
#
# This is free software, and you are welcome to redistribute it under
# certain conditions; see the end of this file for copyright
# information, grant of license, and disclaimer of warranty.

# Makefile for this code base.

PYTHON ?= /usr/bin/python3
PYTHON_OPTS ?= -bb

PY_MODULE_SUFFIX = .py
PY_MODULE_BYTECODE_SUFFIX = .pyc
package_modules = $(shell find ${CURDIR}/dput/ -name '*${PY_MODULE_SUFFIX}')
python_modules = $(shell find ${CURDIR}/ -name '*${PY_MODULE_SUFFIX}')

GENERATED_FILES :=
GENERATED_FILES += $(patsubst \
	%${PY_MODULE_SUFFIX},%${PY_MODULE_BYTECODE_SUFFIX}, \
	${python_modules})
GENERATED_FILES += ${CURDIR}/*.egg-info
GENERATED_FILES += ${CURDIR}/build ${CURDIR}/dist

DOC_DIR = doc
MANPAGE_GLOB = *.[1-8]
MANPAGE_DIR = ${DOC_DIR}/man
manpage_paths = $(wildcard ${MANPAGE_DIR}/${MANPAGE_GLOB})


.PHONY: all
all:


.PHONY: clean
clean:
	$(RM) -r ${GENERATED_FILES}


.PHONY: tags
tags: TAGS

GENERATED_FILES += TAGS

TAGS: ${python_modules}
	etags --output "$@" --lang=python ${python_modules}


include test.mk
include stylecheck.mk


# Copyright © 2015–2019 Ben Finney <bignose@debian.org>
#
# This is free software: you may copy, modify, and/or distribute this work
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; version 3 of that license or any later version.
# No warranty expressed or implied. See the file ‘LICENSE.GPL-3’ for details.


# Local variables:
# coding: utf-8
# mode: makefile
# End:
# vim: fileencoding=utf-8 filetype=make :

=== debian/changelog ===
dput (1.0.3) unstable; urgency=medium

  * The “سعد راشد محمد الفقيه‎‎ (Sa'ad Rashed Mohammad al-Faqih)” release.

  [ Ben Finney ]
  * Specify current VCS for this code base.
  * Declare “Standards-Version: 4.3.0”. No additional changes needed.
  * Declare Debhelper compatibility level 12.
  * debian/compat:
    * Remove obsolescent configuration file.
  * Update publication years in copyright notices.

  [ Ondřej Nový ]
  * Remove specification of minimum Python versions.
    The required versions are now in all supported Debian releases.

 -- Ben Finney <bignose@debian.org>  Fri, 25 Jan 2019 22:06:32 +1100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dput
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ben Finney <bignose@debian.org>
+Maintainer: Ben Finney <bignose@debian.org>
 Build-Depends-Indep:
     python3-testtools,
     python3-testscenarios,
@@ -13,12 +12,13 @@
     python3 (>= 3.4),
     bash-completion,
     dh-python,
-    debhelper (>= 11)
-Standards-Version: 4.1.3
-VCS-Git: https://anonscm.debian.org/git/users/bignose/debian-full/dput.git
-VCS-Browser: https://anonscm.debian.org/git/users/bignose/debian-full/dput.git
+    debhelper (>= 12~)
+Build-Depends:
+    debhelper-compat (= 12)
+Standards-Version: 4.3.0
+VCS-Git: https://salsa.debian.org/debian/dput.git
+VCS-Browser: https://salsa.debian.org/debian/dput/
 Homepage: https://packages.debian.org/source/sid/dput
-X-Python3-Version: >= 3.4
 
 Package: dput
 Architecture: all
@@ -26,7 +26,7 @@
     python3-pkg-resources,
     ${python3:Depends},
     ${misc:Depends}
-Suggests: openssh-client, python3-paramiko, lintian, mini-dinstall, rsync
+Suggests: openssh-client, lintian, mini-dinstall, rsync
 Breaks:
     devscripts (<< 2.17.0)
 Replaces:

## dput 1.0.3ubuntu1

=== debian/changelog ===
dput (1.0.3ubuntu1) eoan; urgency=medium

  [ Julian Andres Klode ]
  * Merge from Debian unstable.  Remaining changes:
    - dput:
      + Recognize 0ubuntu1 as a debian version that requires
        orig.tar.gz to be included in the upload.
      + Correctly handle cases where a non-existant host or no host at all is
        supplied when -o option is passed. (Thanks to David Futcher for
        spotting)
      + Be more careful about setting a variable in a section that does not
        exist in host argument handling.
    - dput.1: Updated to document host argument feature and sftp support.
    - dput.cf:
      + Set 'default_main_host = ubuntu'
      + Set 'progress_indicator = 2'
      + Updated ppa stanza to make use of argument support.
    - dput.cf.5: Updated to note support for sftp transport and host args.
    - dput.cf: Switch ubuntu stanza to upload to "/ubuntu" rather than "/"
      (LP: #1340130).
    - dput.cf: Drop trailing "/ubuntu" from ppa stanza, to support the new
      form of the upload path needed for PPAs based on derived distributions
      (LP: #1340130).
    - Implement a new sftp method that connects via openssh and then
      uses paramiko's sftp support. Some code copied from bzr.
  * sftp: Use bigger chunks when copying files (LP: #1814791)
  * sftp: Handle exceptions during upload, try to remove file

  [ David Lechner ]
  * sftp: fix atomic upload regression for sftp method (LP: #1762572)

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2019 12:31:01 +0200

=== debian/rules ===
--- 
+++ 
@@ -31,9 +31,20 @@
 override_dh_installman:
 	dh_installman --language=C
 
+override_dh_bash-completion: DH_BASH_COMPLETION_CONFIG_FILE := $(CURDIR)/debian/bash-completion
+override_dh_bash-completion:
+	mv ${DH_BASH_COMPLETION_CONFIG_FILE} ${DH_BASH_COMPLETION_CONFIG_FILE}.ORIG
+	# Work around Debhelper bug#919853:
+	# strip leading/trailing white space from input file.
+	sed 's/^\s+|\s+$$//g' \
+		< ${DH_BASH_COMPLETION_CONFIG_FILE}.ORIG
+		> ${DH_BASH_COMPLETION_CONFIG_FILE} \
+	dh_bash-completion
+	mv ${DH_BASH_COMPLETION_CONFIG_FILE}.ORIG ${DH_BASH_COMPLETION_CONFIG_FILE}
 
 
-# Copyright © 2015–2018 Ben Finney <bignose@debian.org>
+
+# Copyright © 2015–2019 Ben Finney <bignose@debian.org>
 #
 # This is free software: you may copy, modify, and/or distribute this work
 # under the terms of the GNU General Public License as published by the

=== debian/tests/control ===
--- 
+++ 
@@ -16,6 +16,6 @@
 
 # Local variables:
 # coding: utf-8
-# mode: conf
+# mode: conf-space
 # End:
 # vim: fileencoding=utf-8 filetype=conf :

## dput 1.0.3ubuntu1.1

=== debian/changelog ===
dput (1.0.3ubuntu1.1) focal; urgency=medium

  * Make versions with Ubuntu suffixes compliant with PEP 440 (LP: #1991606)

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 29 Jun 2023 16:58:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dput
 Section: devel
 Priority: optional
-Maintainer: Ben Finney <bignose@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ben Finney <bignose@debian.org>
 Build-Depends-Indep:
     python3-testtools,
     python3-testscenarios,
@@ -26,7 +27,7 @@
     python3-pkg-resources,
     ${python3:Depends},
     ${misc:Depends}
-Suggests: openssh-client, lintian, mini-dinstall, rsync
+Suggests: openssh-client, python3-paramiko, lintian, mini-dinstall, rsync
 Breaks:
     devscripts (<< 2.17.0)
 Replaces:

## dput 1.0.3+gitc1acb58~ab~BULLSEYE+2

=== debian/changelog ===
dput (1.0.3+gitc1acb58~ab~BULLSEYE+2) bullseye-ab-unstable; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    5e7ced5d9837169cc6c9d27e1d07db906e45c384.
  * MINI_BUILDD_OPTION: ignore-lintian=true

 -- mini-buildd archive hellfield <mini-buildd@hellfield.olx.intra>  Wed, 08 Jan 2020 14:18:52 +0100

dput (1.0.3+gitc1acb58~ab~SID+2) sid-ab-unstable; urgency=medium

  * Comment one failing unit test assert.
  * MINI_BUILDD_OPTION: ignore-lintian=true

 -- Stephan Sürken <absurd@olurdix.de>  Wed, 08 Jan 2020 13:55:32 +0100

dput (1.0.3+gitc1acb58~ab~SID+1) sid-ab-unstable; urgency=medium

  Intermediate git build for ab repo until an official Debian update
  gets actually available.

  * Correct processing of config file for ‘dh_bash-completion’.
    Closes: bug#921662. Thanks to Antoine Beaupre for the report.
  * Correct URL to documentation in security warning.
    Closes: bug#913865. Thanks to Dima Kogan for the report.
  * Consistent ‘dput’ command-line parsing regardless of ‘--check-only’.
  * Farewell to transition handling of obsolete ‘gluck_delayed’ host.
    The DELAYED queue has been on ‘ftp.upload.debian.org’ since 2009.
  * Remove redundant dependency on ‘debhelper’.
    The ‘debhelper-compat’ dependency brings the correct packages.
  * Declare conformance to “Standards-Version: 4.4.1”.
  * Specify the package build system does not require root privilege.

 -- Stephan Sürken <absurd@olurdix.de>  Fri, 03 Jan 2020 17:05:44 +0100

=== debian/control ===
Source: dput
Section: devel
Priority: optional
Maintainer: Ben Finney <bignose@debian.org>
Build-Depends-Indep:
    python3-testtools,
    python3-testscenarios,
    python3-httpretty,
    python3-debian,
    python3-gpg,
    python3-setuptools,
    python3 (>= 3.4),
    bash-completion,
    dh-python
Build-Depends:
    debhelper-compat (= 12)
Standards-Version: 4.4.1
VCS-Git: https://salsa.debian.org/debian/dput.git
VCS-Browser: https://salsa.debian.org/debian/dput/
Homepage: https://packages.debian.org/source/sid/dput
Rules-Requires-Root: no

Package: dput
Architecture: all
Depends:
    python3-pkg-resources,
    ${python3:Depends},
    ${misc:Depends}
Suggests: openssh-client, lintian, mini-dinstall, rsync
Breaks:
    devscripts (<< 2.17.0)
Replaces:
    devscripts (<< 2.17.0)
Description: Debian package upload tool
 DPut is the Debian Package Upload Tool. The ‘dput’ command uploads one or more
 packages to the Debian archive.
 .
 This package also includes the ‘dcut’ command, which can generate and / or
 upload a commands file for the Debian FTP archive upload queue.
 .
 ‘dput’ runs some tests to verify that the package is compliant with Debian
 Policy. It can also run Lintian on the package before upload, and/or run
 ‘dinstall’ in dry-run-mode, when using an appropriate upload method.
 .
 DPut is intended mainly for Debian maintainers, although it can also be useful
 for people maintaining local APT repositories.

=== debian/rules ===
--- 
+++ 
@@ -36,9 +36,9 @@
 	mv ${DH_BASH_COMPLETION_CONFIG_FILE} ${DH_BASH_COMPLETION_CONFIG_FILE}.ORIG
 	# Work around Debhelper bug#919853:
 	# strip leading/trailing white space from input file.
-	sed 's/^\s+|\s+$$//g' \
-		< ${DH_BASH_COMPLETION_CONFIG_FILE}.ORIG
-		> ${DH_BASH_COMPLETION_CONFIG_FILE} \
+	sed --regexp-extended 's/^[[:space:]]+|[[:space:]]+$$//g' \
+		< ${DH_BASH_COMPLETION_CONFIG_FILE}.ORIG \
+		> ${DH_BASH_COMPLETION_CONFIG_FILE}
 	dh_bash-completion
 	mv ${DH_BASH_COMPLETION_CONFIG_FILE}.ORIG ${DH_BASH_COMPLETION_CONFIG_FILE}

## dput 1.0.3+gitc1acb58~ab10+2

=== debian/changelog ===
dput (1.0.3+gitc1acb58~ab10+2) buster-ab-unstable; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    5e7ced5d9837169cc6c9d27e1d07db906e45c384.
  * MINI_BUILDD_OPTION: ignore-lintian=true

 -- mini-buildd archive hellfield <mini-buildd@hellfield.olx.intra>  Wed, 08 Jan 2020 14:19:00 +0100

## dput 1.0.3+nmu1

=== debian/changelog ===
dput (1.0.3+nmu1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 01 Jan 2021 14:11:24 +0100

## dput 1.1.0

=== debian/changelog ===
dput (1.1.0) unstable; urgency=medium

  * The “Abinta Kabir” release.
  * Correct processing of config file for ‘dh_bash-completion’.
    Closes: bug#921662. Thanks to Antoine Beaupre for the report.
  * Correct URL to documentation in security warning.
    Closes: bug#913865. Thanks to Dima Kogan for the report.
  * Consistent ‘dput’ command-line parsing regardless of ‘--check-only’.
  * Farewell to transition handling of obsolete ‘gluck_delayed’ host.
    The DELAYED queue has been on ‘ftp.upload.debian.org’ since 2009.
  * Rename default Git branch in official repository, to ‘main’.
  * Remove redundant dependency on ‘debhelper’.
    The ‘debhelper-compat’ dependency brings the correct packages.
  * Declare conformance to “Standards-Version: 4.5.1”.
  * Declare Debhelper compatibility level 13.
  * Specify the package build system does not require root privilege.
  * Replace dependency on HTTPretty with custom Python mock code.
  * Mark as “superficial” those autopkgtest cases with no coverage.
    Closes: bug#974447. Thanks to Sudip Mukherjee for the report.
  * Emit the response body as a debug message, when HTTP error response.
    Closes: bug#900545. Thanks to Alexandre Viau for the report.
  * Update publication years in copyright notices.

 -- Ben Finney <bignose@debian.org>  Wed, 06 Jan 2021 20:25:16 +1100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Build-Depends-Indep:
     python3-testtools,
     python3-testscenarios,
-    python3-httpretty,
     python3-debian,
     python3-gpg,
     python3-setuptools,
@@ -13,8 +12,8 @@
     bash-completion,
     dh-python
 Build-Depends:
-    debhelper-compat (= 12)
-Standards-Version: 4.4.1
+    debhelper-compat (= 13)
+Standards-Version: 4.5.1
 VCS-Git: https://salsa.debian.org/debian/dput.git
 VCS-Browser: https://salsa.debian.org/debian/dput/
 Homepage: https://packages.debian.org/source/sid/dput

## dput 1.1.0ubuntu1

=== debian/changelog ===
dput (1.1.0ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - dput:
      + Recognize 0ubuntu1 as a debian version that requires
        orig.tar.gz to be included in the upload.
      + Correctly handle cases where a non-existant host or no host at all is
        supplied when -o option is passed. (Thanks to David Futcher for
        spotting)
      + Be more careful about setting a variable in a section that does not
        exist in host argument handling.
    - dput.1: Updated to document host argument feature and sftp support.
    - dput.cf:
      + Set 'default_main_host = ubuntu'
      + Set 'progress_indicator = 2'
      + Updated ppa stanza to make use of argument support.
    - dput.cf.5: Updated to note support for sftp transport and host args.
    - dput.cf: Switch ubuntu stanza to upload to "/ubuntu" rather than "/"
      (LP: #1340130).
    - dput.cf: Drop trailing "/ubuntu" from ppa stanza, to support the new
      form of the upload path needed for PPAs based on derived distributions
      (LP: #1340130).
    - Implement a new sftp method that connects via openssh and then
      uses paramiko's sftp support. Some code copied from bzr.
  * Add some more debug output for our changes, and adjust it to match changes
    in 1.1.0 upstream.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 15 Feb 2021 11:39:38 +0100

## dput 1.1.0ubuntu2

=== Makefile ===
--- 
+++ 
@@ -54,7 +54,7 @@
 
 
 
-# Copyright © 2015–2019 Ben Finney <bignose@debian.org>
+# Copyright © 2015–2021 Ben Finney <bignose@debian.org>
 #
 # This is free software: you may copy, modify, and/or distribute this work
 # under the terms of the GNU General Public License as published by the

=== debian/changelog ===
dput (1.1.0ubuntu2) impish; urgency=medium

  * Add ssh-ubuntu and ssh-ppa upload targets using sftp protocols and ssh
    provided username. Set login name in ~/.ssh/config for ubuntu &
    launchpad hosts to match the launchpad login name. LP: #632041

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 29 Jul 2021 10:58:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dput
 Section: devel
 Priority: optional
-Maintainer: Ben Finney <bignose@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ben Finney <bignose@debian.org>
 Build-Depends-Indep:
     python3-testtools,
     python3-testscenarios,
@@ -25,7 +26,7 @@
     python3-pkg-resources,
     ${python3:Depends},
     ${misc:Depends}
-Suggests: openssh-client, lintian, mini-dinstall, rsync
+Suggests: openssh-client, python3-paramiko, lintian, mini-dinstall, rsync
 Breaks:
     devscripts (<< 2.17.0)
 Replaces:

=== debian/rules ===
--- 
+++ 
@@ -44,7 +44,7 @@
 
 
 
-# Copyright © 2015–2019 Ben Finney <bignose@debian.org>
+# Copyright © 2015–2021 Ben Finney <bignose@debian.org>
 #
 # This is free software: you may copy, modify, and/or distribute this work
 # under the terms of the GNU General Public License as published by the

## dput 1.1.0ubuntu2.1

=== debian/changelog ===
dput (1.1.0ubuntu2.1) jammy; urgency=medium

  * Make versions with Ubuntu suffixes compliant with PEP 440 (LP: #1991606)

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 29 Jun 2023 15:45:46 +0200

## dput 1.1.0+ftps0git6f15f1b~ab~BULLSEYE+1

=== debian/changelog ===
dput (1.1.0+ftps0git6f15f1b~ab~BULLSEYE+1) bullseye-ab-unstable; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    76ee2407d43439bd958d2b856253694c901ce8cd.
  * MINI_BUILDD_OPTION: ignore-lintian=true

 -- mini-buildd archive hellfield <mini-buildd@hellfield.olx.intra>  Tue, 19 Jan 2021 16:32:57 +0100

dput (1.1.0+ftps0git6f15f1b~ab~SID+1) sid-ab-unstable; urgency=medium

  * [6f15f1b] methods/ftp.py: Explicitly set custom port from fqdn.
  * [0265d43] methods/ftp[s].py: Add support for 'ftps' method.

 -- Stephan Sürken <absurd@debian.org>  Tue, 19 Jan 2021 16:24:02 +0100

## dput 1.1.0+ftps0git6f15f1b~ab10+1

=== debian/changelog ===
dput (1.1.0+ftps0git6f15f1b~ab10+1) buster-ab-unstable; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    76ee2407d43439bd958d2b856253694c901ce8cd.
  * MINI_BUILDD_OPTION: ignore-lintian=true

 -- mini-buildd archive hellfield <mini-buildd@hellfield.olx.intra>  Tue, 19 Jan 2021 16:33:03 +0100

## dput 1.1.2

=== debian/changelog ===
dput (1.1.2) unstable; urgency=medium

  * Default to "$HOME/.config" if variable XDG_CONFIG_HOME is not set.
    Closes: bug#1014181, bug#1014182.
    Thanks to Ben Hutchings for the reports.

 -- Ben Finney <bignose@debian.org>  Sat, 02 Jul 2022 08:15:28 +1000

dput (1.1.1) unstable; urgency=medium

  * The “Koyo Ogasawara” release.
  * Update publication years in copyright notices.
  * Declare conformance to “Standards-Version: 4.6.1”. No changes needed.
  * Remove dependency declarations against ancient package versions.
  * Use wildcard for version string in context for Lintian overrides.
  * Declare auto-generated Setuptools ‘egg-info’ files to ‘dh_clean’.
  * Implement `urllib.request.Request` compatible API for auth.
    Closes: bug#944194. Thanks to TQ Hirsch for the report
    and to Mathieu Parent for the implementation.
  * Remove a workaround for a Debhelper bug now fixed.
  * Read user configuration file from XDG standard location by default.
    Closes: bug#787840. Thanks to Rodolphe PELLOUX-PRAYER for the report.

 -- Ben Finney <bignose@debian.org>  Wed, 22 Jun 2022 17:57:36 +1000

## dput 1.1.2ubuntu2

=== debian/changelog ===
dput (1.1.2ubuntu2) kinetic; urgency=medium

  * Promote python3-paramiko to Recommends, to promote the usage of
    ssh-ubuntu as an upload target over ubuntu (LP: #1991569).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 05 Oct 2022 08:47:02 -0500

dput (1.1.2ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - dput:
      + Recognize 0ubuntu1 as a debian version that requires
        orig.tar.gz to be included in the upload.
      + Correctly handle cases where a non-existant host or no host at all is
        supplied when -o option is passed. (Thanks to David Futcher for
        spotting)
      + Be more careful about setting a variable in a section that does not
        exist in host argument handling.
    - dput.1: Updated to document host argument feature and sftp support.
    - dput.cf:
      + Set 'default_main_host = ubuntu'
      + Set 'progress_indicator = 2'
      + Updated ppa stanza to make use of argument support.
    - dput.cf.5: Updated to note support for sftp transport and host args.
    - dput.cf: Switch ubuntu stanza to upload to "/ubuntu" rather than "/"
      (LP: #1340130).
    - dput.cf: Drop trailing "/ubuntu" from ppa stanza, to support the new
      form of the upload path needed for PPAs based on derived distributions
      (LP: #1340130).
    - Implement a new sftp method that connects via openssh and then
      uses paramiko's sftp support. Some code copied from bzr.
    - Add ssh-ubuntu and ssh-ppa upload targets using sftp protocols and ssh
      provided username. Set login name in ~/.ssh/config for ubuntu &
      launchpad hosts to match the launchpad login name.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 03 Jul 2022 14:17:06 -0700

## dput 1.1.2ubuntu2.1

=== debian/changelog ===
dput (1.1.2ubuntu2.1) kinetic; urgency=medium

  * Make versions with Ubuntu suffixes compliant with PEP 440 (LP: #1991606)

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 29 Jun 2023 14:54:30 +0200
